/**
 * 
 */
/**
 * @author dasheng
 * terminal_info 终端信息参数     支付方式为：WECHAT_MICROPAY该字段必填
 */
package com.tzy.framework.pay.Entity;

import java.util.ArrayList;
import java.util.List;

public class SharingInfoEntity{	
	String sharingNotifyUrl;
	List<SharingDetailsEntity> sharingDetails;
	
	public SharingInfoEntity(){
		this.sharingDetails = new ArrayList<SharingDetailsEntity>();
	}
	public String getSharingNotifyUrl() {
		return sharingNotifyUrl;
	}
	public void setSharingNotifyUrl(String sharingNotifyUrl) {
		this.sharingNotifyUrl = sharingNotifyUrl;
	}
	public List<SharingDetailsEntity> getSharingDetails() {
		return sharingDetails;
	}
	public void setSharingDetails(SharingDetailsEntity sharingDetails) {
		this.sharingDetails.add(sharingDetails);
	}
	@Override
	public String toString() {
		return "SharingInfoEntity [sharingNotifyUrl=" + sharingNotifyUrl + ", sharingDetails=" + sharingDetails + "]";
	}
	
	

}